package com.zg.project.information.service;

import java.util.List;
import com.zg.project.information.domain.StockOutType;

/**
 * 出库类型Service接口
 * 
 * @author zg
 * @date 2025-06-09
 */
public interface IStockOutTypeService 
{
    /**
     * 查询出库类型
     * 
     * @param id 出库类型主键
     * @return 出库类型
     */
    public StockOutType selectStockOutTypeById(Long id);

    /**
     * 查询出库类型列表
     * 
     * @param stockOutType 出库类型
     * @return 出库类型集合
     */
    public List<StockOutType> selectStockOutTypeList(StockOutType stockOutType);

    /**
     * 新增出库类型
     * 
     * @param stockOutType 出库类型
     * @return 结果
     */
    public int insertStockOutType(StockOutType stockOutType);

    /**
     * 修改出库类型
     * 
     * @param stockOutType 出库类型
     * @return 结果
     */
    public int updateStockOutType(StockOutType stockOutType);

    /**
     * 批量删除出库类型
     * 
     * @param ids 需要删除的出库类型主键集合
     * @return 结果
     */
    public int deleteStockOutTypeByIds(Long[] ids);

    /**
     * 删除出库类型信息
     * 
     * @param id 出库类型主键
     * @return 结果
     */
    public int deleteStockOutTypeById(Long id);
}
